let heroText = document.querySelectorAll(".landing-hero h2,.landing-hero p");
let registerToggles = document.querySelectorAll(".register-btn, .register-area	.cancel-button, .services-cards button");
let token = getCookie("XSRF-TOKEN");
function getToken() {
  fetch("/sanctum/csrf-cookie", {
    method: "GET"
  });
  token = getCookie("XSRF-TOKEN");
}
function register(event) {
  fetch("/register", {
    method: "POST",
    headers: {
      "Content-Type": "application/json",
      "X-XSRF-TOKEN": token
    },
    body: JSON.stringify({
      name: document.getElementById("register-name").value,
      email: document.getElementById("register-email").value,
      password: document.getElementById("register-password").value
    }),
    password_confirmation: document.getElementById("confirm-password").value
  }).then((response) => {
    console.log(response.json());
    console.log(response.ok);
    console.log(response.message);
  });
  event.preventDefault();
}
function getCookie(name) {
  var re = new RegExp(name + "=([^;]+)");
  var value = re.exec(document.cookie);
  return value != null ? unescape(value[1]) : null;
}
function checkPasswords() {
  if (passInput.value != passInput2.value) {
    passInput2.setCustomValidity("Passwords must be matching");
  } else {
    passInput2.setCustomValidity("");
  }
}
function login(event) {
  fetch("/login", {
    method: "POST",
    headers: {
      "Content-Type": "application/json",
      "X-XSRF-TOKEN": token
    },
    body: JSON.stringify({
      email: document.getElementById("login_email").value,
      password: document.getElementById("login_password").value
    })
  }).then((response) => {
    console.log(response.json());
    console.log(response.ok);
    console.log(response.message);
  });
  event.preventDefault();
}
function resendLink(event) {
  console.log("clicked");
  event.preventDefault();
}
function toggleNav() {
  heroText.forEach((item) => {
    item.classList.toggle("hidden");
  });
  document.querySelector("nav form.login").classList.toggle("active");
  this.classList.toggle("toggled");
}
if (!token) {
  getToken();
}
if (window.location.pathname == "/") {
  document.getElementById("nav_toggle").addEventListener("click", toggleNav);
  document.getElementById("register-form").addEventListener("submit", register);
  document.getElementById("login_form").addEventListener("submit", login);
  for (i = 0; i < registerToggles.length; i++) {
    registerToggles[i].addEventListener("click", function() {
      document.querySelector(".register-area").classList.toggle("active");
    });
  }
  let cols = document.getElementsByClassName("collapsible");
  for (i = 0; i < cols.length; i++) {
    cols[i].addEventListener("click", function() {
      this.classList.toggle("active");
    });
  }
  document.getElementById("register-password").oninput = checkPasswords;
  document.getElementById("confirm-password").oninput = checkPasswords;
} else if (window.location.pathname == "/verify-email") {
  document.getElementById("resend_verification").addEventListener("click", resendLink);
}
//# sourceMappingURL=main.js.map
